VERSION 5.00
Begin VB.UserControl ClickAble_Shape 
   AutoRedraw      =   -1  'True
   BackStyle       =   0  'Transparent
   CanGetFocus     =   0   'False
   ClientHeight    =   1575
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2175
   ScaleHeight     =   105
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   145
   ToolboxBitmap   =   "ClickAble Shape.ctx":0000
   Begin VB.Label lblMouse 
      BackStyle       =   0  'Transparent
      Height          =   1095
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1575
   End
   Begin VB.Shape spShape 
      Height          =   1575
      Left            =   0
      Top             =   0
      Width           =   2175
   End
End
Attribute VB_Name = "ClickAble_Shape"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'*******************************************************************************
' ClickAble Shape Control  CrazyKing Software Lab \  'Urvin' 
' (c) 'Urvin' , 2003
'  1  08.06.2003
'*******************************************************************************
' ,       Visual Basic
'            Shape.
'*******************************************************************************
'
'          
' :
'   Click     -   
'   DblClick  -    
'
' 
'                
'   Enabled         True  False      ,   
'   ShapeType       0,1,2           ,    
'   FillType        0  1           
'   Fill Color      0 - 16777215     
'   LinesType       0 - 6             -     Shape
'   LinesColor      0 - 16777215     
'*******************************************************************************

Option Explicit

Public Event Click()
Public Event DblClick()

Private Sub lblMouse_Click()
    RaiseEvent Click
End Sub

Private Sub lblMouse_DblClick()
    RaiseEvent DblClick
End Sub

Private Sub UserControl_InitProperties()
    Enabled = True
    ShapeType = 0
    FillType = 1
    FillColor = vbBlack
    LinesType = 1
    LinesColor = vbBlack
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    Enabled = PropBag.ReadProperty("Enabled", True)
    ShapeType = PropBag.ReadProperty("ShapeType", 0)
    FillType = PropBag.ReadProperty("FillType", 1)
    FillColor = PropBag.ReadProperty("FillColor", 0)
    LinesType = PropBag.ReadProperty("LinesType", 1)
    LinesColor = PropBag.ReadProperty("LinesColor", 0)
End Sub

Private Sub UserControl_Resize()
    UserControl.Scale (-1, 1)-(1, -1)
    spShape.Left = -1: spShape.Top = 1
    spShape.Width = Abs(UserControl.ScaleWidth): spShape.Height = Abs(UserControl.ScaleHeight)
    lblMouse.Left = -1: lblMouse.Top = 1
    lblMouse.Width = Abs(UserControl.ScaleWidth): lblMouse.Height = Abs(UserControl.ScaleHeight)
End Sub

Public Property Get Enabled() As Boolean
    Enabled = lblMouse.Enabled
End Property
Public Property Let Enabled(ByVal vNewValue As Boolean)
    lblMouse.Enabled = vNewValue
End Property

Public Property Get ShapeType() As Integer
    If spShape.Shape = 0 Then
        ShapeType = 0
    ElseIf spShape.Shape = 2 Then
        ShapeType = 1
    Else
        ShapeType = 2
    End If
End Property
Public Property Let ShapeType(ByVal vNewValue As Integer)
    If vNewValue = 0 Then
        spShape.Shape = 0
    ElseIf vNewValue = 1 Then
        spShape.Shape = 2
    Else
        spShape.Shape = 4
    End If
End Property

Public Property Get FillType() As Integer
    FillType = spShape.FillStyle
End Property
Public Property Let FillType(ByVal vNewValue As Integer)
    If vNewValue >= 0 And vNewValue <= 7 Then
        spShape.FillStyle = vNewValue
    End If
End Property

Public Property Get FillColor() As Long
    FillColor = spShape.FillColor
End Property
Public Property Let FillColor(ByVal vNewValue As Long)
    spShape.FillColor = vNewValue
End Property

Public Property Get LinesType() As Integer
    LinesType = spShape.BorderStyle
End Property
Public Property Let LinesType(ByVal vNewValue As Integer)
    If vNewValue >= 0 And vNewValue <= 6 Then
        spShape.BorderStyle = vNewValue
    End If
End Property

Public Property Get LinesColor() As Long
    LinesColor = spShape.BorderColor
End Property
Public Property Let LinesColor(ByVal vNewValue As Long)
    spShape.BorderColor = vNewValue
End Property

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    PropBag.WriteProperty "Enabled", Enabled, True
    PropBag.WriteProperty "ShapeType", ShapeType, 0
    PropBag.WriteProperty "FillType", FillType, 1
    PropBag.WriteProperty "FillColor", FillColor, vbBlack
    PropBag.WriteProperty "LinesType", LinesType, 1
    PropBag.WriteProperty "LinesColor", LinesColor, vbBlack
End Sub
